<?php
/**
 *
 * This product includes software developed by the Horde Project (http://www.horde.org/).
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Andre Pawlowski aka sqall <sqall@h4des.org>
 */

//das absolute Eleusis directory wird als Konstante definiert
//um damit config Dateien zu includieren
@define('ELEUSIS_BASE', dirname(__FILE__));

//die Basis von Eleusis wird includiert
//um die Anmeldung zu ueberpruefen
require_once(ELEUSIS_BASE . '/lib/base.php');
//die Konfigurationsdatei von Eleusis wird includiert
//um alle Eleusis Einstellungen in diesem Skript nutzen zu koennen
require(ELEUSIS_BASE . '/config/conf.php');

//diese Funktion ueberprueft ob das indexfile zu lange gesperrt ist
//und hebt diese sperre gegebenenfalls auf
Eleusis::CleanLockfile();

?>

<script type="text/javascript" language="JavaScript">
<!--
//diese function ueberprueft die Werte des Formulars
function FormularCheck() {
   //hier wird ueberprueft ob ein Passwort angegeben wurde
   if(document.forms['read_passwordstore'].elements['eleusis_password'].value != "") {
      return true;
   }
   else {
      alert('Error: No password given!');
      return false;
   }
}
</script>

<?php
echo "<div class=\"header\">Eleusis Passwordstore</div>";
echo "<p><b>notice:</b> javascripts must be enabled!</p>";

//liest das indexfile aus und speichert es in einem array
$indexarray = file(ELEUSIS_BASE . '/passwordstore/indexfile');
foreach($indexarray as $indexline_number => $indexline) {
   //extrahiert aus dem indexfile den Nutzernamen
   $username=substr($indexline, 0, strpos($indexline, ';'));
   //ueberprueft ob der Nutzer ein passwordstore besitzt
   if($username == Auth::getAuth()) {
      //extrahiert aus dem indexfile den namen des passwordfiles
      $passwordfile=substr($indexline, strpos($indexline, ';')+1);
      //bricht die Schleife ab
      break;
   }
}

//hier wird ueberprueft ob der Nutzer gefunden wurde und dementsprechend $passwordfile gesetzt ist
if(isset($passwordfile)) {
   echo "<form name=\"read_passwordstore\" enctype=\"multipart/form-data\" method=\"post\" action=\"read.php?passwordfile=" . $passwordfile . "\" onsubmit=\"return FormularCheck()\">";
   echo "<p><b>password for the passwordstore</b></p>";
   echo "<input name=\"passwordfile_password\" type=\"password\" />";
   echo "<input type=\"submit\" value=\"read\" />";
   echo "<input type=\"reset\" value=\"reset\" />";
   echo "</form>";
}


echo "<p>No passwordstore? <a href=\"create_menu.php\">Create one!</a></p>";


//der footer wird includiert
require ELEUSIS_TEMPLATES . '/common-footer.inc';
?>