<?php
/**
 *
 * This product includes software developed by the Horde Project (http://www.horde.org/).
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Andre Pawlowski aka sqall <sqall@h4des.org>
 */

//das absolute Eleusis directory wird als Konstante definiert
//um damit config Dateien zu includieren
@define('ELEUSIS_BASE', dirname(__FILE__));

//die Basis von Eleusis wird includiert
//um die Anmeldung zu ueberpruefen
require_once(ELEUSIS_BASE . '/lib/base.php');
//die Konfigurationsdatei von Eleusis wird includiert
//um alle Eleusis Einstellungen in diesem Skript nutzen zu koennen
require(ELEUSIS_BASE . '/config/conf.php');
//das Menu von Eleusis wird includiert
//damit das Menu dem Benutzer angezeigt wird
require_once(ELEUSIS_BASE . '/list.php');

//hier wird ueberprueft ob der Name des passwordstores gesetzt ist
if(isset($_GET['passwordfile']) && $_GET['passwordfile'] != "" ) {
   //hier wird überprüft ob jemand aus dem Ordner der passwordfiles ausbrechen will
   if(strpos($_GET['passwordfile'],'/.') === false && strpos($_GET['passwordfile'],'./') === false) {
      //hier wird ueberprueft ob die zu loeschende id gesetzt ist
      if(isset($_GET['id']) && $_GET['id'] != "" ) {
      }
      //falls die zu loeschende id nicht gesetzt ist
      else {
         echo "Error: \$id in modify_pre_menu.php is not set or is empty!"; 
         exit(1);
      }
   }
   //falls die Variable manipuliert wurde
   else {
      echo "Error: \$passwordfile in modify_pre_menu.php contains illegal characters!";
      exit(1);
   }
}
//falls der Name des passwordstores nicht gesetzt ist
else {
   echo "Error: \$passwordfile in modify_pre_menu.php is not set or is empty!"; 
   exit(1);
}
?>

<script type="text/javascript" language="JavaScript">
<!--
//diese function ueberprueft die Werte des Formulars
function FormularCheck() {
   //hier wird ueberprueft ob ein passwort fuer das passwordfile angegeben wurde
   if(document.forms['modify_password'].elements['passwordfile_password'].value != "") {
      return true;
   }
   else {
      alert('Error: No password for the passwordfile given!');
      return false;
   }
}
</script>

<div class="header">Eleusis Passwordstore</div>
<p><b>notice:</b> javascripts must be enabled!</p>

<form name="modify_password" enctype="multipart/form-data" method="post" action="modify_menu.php<?php echo "?id=" . $_GET['id'] . "&amp;passwordfile=" . $_GET['passwordfile']?>" onsubmit="return FormularCheck()">
   <p><b>password for the passwordstore</b></p>
   <input name="passwordfile_password" type="password" />
   <input type="submit" value="send" />
   <input type="reset" value="reset" />
</form>

<?php
//der footer wird includiert
require ELEUSIS_TEMPLATES . '/common-footer.inc';
?>