<?php
/**
 *
 * This product includes software developed by the Horde Project (http://www.horde.org/).
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Andre Pawlowski aka sqall <sqall@h4des.org>
 */

//das absolute Eleusis directory wird als Konstante definiert
//um damit config Dateien zu includieren
@define('ELEUSIS_BASE', dirname(__FILE__));

//die Basis von Eleusis wird includiert
//um die Anmeldung zu ueberpruefen
require_once(ELEUSIS_BASE . '/lib/base.php');
//die Konfigurationsdatei von Eleusis wird includiert
//um alle Eleusis Einstellungen in diesem Skript nutzen zu koennen
require(ELEUSIS_BASE . '/config/conf.php');
//das Menu von Eleusis wird includiert
//damit das Menu dem Benutzer angezeigt wird
require_once(ELEUSIS_BASE . '/list.php');

//hier wird ueberprueft ob der Name des passwordstores gesetzt ist
if(isset($_GET['passwordfile']) && $_GET['passwordfile'] != "" ) {
   //hier wird überprüft ob jemand aus dem Ordner der passwordfiles ausbrechen will
   if(strpos($_GET['passwordfile'],'/.') === false && strpos($_GET['passwordfile'],'./') === false) {
   }
   //falls die Variable manipuliert wurde
   else {
      echo "Error: \$passwordfile in add_menu.php contains illegal characters!";
      exit(1);
   }
}
//falls der Name des passwordstores nicht gesetzt ist
else {
   echo "Error: \$passwordfile in add_menu.php is not set or is empty!"; 
   exit(1);
}
?>

<script type="text/javascript" language="JavaScript">
<!--
//diese function ueberprueft die Werte des Formulars
function FormularCheck() {
   //hier wird ueberprueft ob ein Name angegeben wurde
   if(document.forms['add_password'].elements['eleusis_name'].value != "") {
      //hier wird ueberprueft ob ein Passwort angegeben wurde
      if(document.forms['add_password'].elements['eleusis_password'].value != "") {
         //hier wird ueberprueft ob eine Beschreibung angegeben wurde
         if(document.forms['add_password'].elements['eleusis_description'].value != "") {
            //hier wird ueberprueft ob ein passwort fuer das passwordfile angegeben wurde
            if(document.forms['add_password'].elements['passwordfile_password'].value != "") {

               //hier wird ueberprueft ob die beiden Passwoerter gleich sind
               if(document.forms['add_password'].elements['eleusis_password'].value == document.forms['add_password'].elements['eleusis_password_repeat'].value) {
                  return true;
               }
               else {
                  alert('Error: Passwords different!');
                  return false;
               }
            }
            else {
               alert('Error: No password for the passwordfile given!');
               return false;
            }
         }
         else {
            alert('Error: No description given!');
            return false;
         }
      }
      else {
         alert('Error: No password given!');
         return false;
      }
   }
   else {
      alert('Error: No name given!');
      return false;
   }
}
</script>

<div class="header">Eleusis Passwordstore</div>
<p><b>notice:</b> javascripts must be enabled!</p>

<form name="add_password" enctype="multipart/form-data" method="post" action="add.php<?php echo "?passwordfile=" . $_GET['passwordfile']?>" onsubmit="return FormularCheck()">
   <p><b>add an username and password to the passwordstore</b></p>
   <table>
      <tr>
         <td>
            <u>description:</u>
         </td>
         <td>
            <input name="eleusis_description" type="text" />
         </td>
      </tr>
      <tr>
         <td>
            <u>username:</u>
         </td>
         <td>
            <input name="eleusis_name" type="text" />
         </td>
      </tr>
      <tr>
         <td>
            <u>password:</u>
         </td>
         <td>
            <input name="eleusis_password" type="password" />
         </td>
      </tr>
      <tr>
         <td>
            <u>repeat password:</u>
         </td>
         <td>
            <input name="eleusis_password_repeat" type="password" />
         </td>
      </tr>
   </table>
   <br /><br />
   <p><b>password for the passwordstore</b></p>
   <input name="passwordfile_password" type="password" />
   <input type="submit" value="add" />
   <input type="reset" value="reset" />
</form>

<?php
//der footer wird includiert
require ELEUSIS_TEMPLATES . '/common-footer.inc';
?>