<?php
/**
 * $Horde: eleusis/index.php,v 1.12 2008-01-02 11:14:00 jan Exp $
 *
 * Copyright 2007-2008 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Andre Pawlowski aka sqall <sqall@h4des.org>
 */

@define('ELEUSIS_BASE', dirname(__FILE__));
$eleusis_configured = (is_readable(ELEUSIS_BASE . '/config/conf.php') &&
                        is_readable(ELEUSIS_BASE . '/config/prefs.php'));

if (!$eleusis_configured) {
    require ELEUSIS_BASE . '/../lib/Test.php';
    Horde_Test::configFilesMissing('Eleusis', ELEUSIS_BASE,
                                   array('conf.php', 'prefs.php'));
}

require ELEUSIS_BASE . '/list.php';
require ELEUSIS_BASE . '/main.php';
